Skip to main content
GET
List record configurations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

collection_id
string

Only configs in this collection. With summary, ~default lists the configs in no collection.

summary
enum<string>

Answer one page of summary rows (id, name, description, collection_id, updated_at, has_source, resolution_error) by name from the index, with total_hits. No schema or views.

Available options:
1,
true

With summary: each word must prefix a word of the name or description.

limit
integer

Page size. With summary, default 25, at most 1000.

offset
integer

With summary: rows to skip.

cursor
string

Without summary: the next_cursor of a truncated reply.

Response

200 - application/json

List of record configurations

status_code
integer

HTTP status code echoed in the response body.

body
object

Response payload.